Skip to main content
PUT
/
ai
/
missions
/
{mission_id}
/
tools
/
{tool_id}
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const response = await client.ai.missions.tools.updateTool('tool_id', { mission_id: 'mission_id' });

console.log(response);
import os
from telnyx import Telnyx

client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.ai.missions.tools.update_tool(
tool_id="tool_id",
mission_id="mission_id",
)
print(response)
package main

import (
"context"
"fmt"

"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)

func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.AI.Missions.Tools.UpdateTool(
context.TODO(),
"tool_id",
telnyx.AIMissionToolUpdateToolParams{
MissionID: "mission_id",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response)
}
package com.telnyx.sdk.example;

import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.ai.missions.tools.ToolUpdateToolParams;
import com.telnyx.sdk.models.ai.missions.tools.ToolUpdateToolResponse;

public final class Main {
private Main() {}

public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();

ToolUpdateToolParams params = ToolUpdateToolParams.builder()
.missionId("mission_id")
.toolId("tool_id")
.build();
ToolUpdateToolResponse response = client.ai().missions().tools().updateTool(params);
}
}
require "telnyx"

telnyx = Telnyx::Client.new(api_key: "My API Key")

response = telnyx.ai.missions.tools.update_tool("tool_id", mission_id: "mission_id")

puts(response)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;

$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');

try {
$response = $client->ai->missions->tools->updateTool(
'tool_id', missionID: 'mission_id'
);

var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}
telnyx ai:missions:tools update-tool \
--api-key 'My API Key' \
--mission-id mission_id \
--tool-id tool_id
curl --request PUT \
--url https://api.telnyx.com/v2/ai/missions/{mission_id}/tools/{tool_id} \
--header 'Authorization: Bearer <token>'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

mission_id
string
required

Unique identifier of the mission.

tool_id
string
required

Unique identifier of the tool.

Response

Successful Response